version: '3'


services:
  vsftpd:
    image: laxaurus/vsftpd:1.0 
    container_name: ${CONTAINER_NAME}
    ports:
      - "7021:21"

    volumes: 
       - "${DATA_ROOT}/data:/home/vsftpd"
       - "${DATA_ROOT}/log:/var/log/vsftpd"
    environment:
      
      FTP_USER: ${FTP_USER}
      FTP_PASS: ${FTP_PASS}
      FILE_OPEN_MODE: ${FILE_OPEN_MODE}
      LOCAL_UMASK: ${LOCAL_UMASK}
      CHMOD_ENABLE: ${CHMOD_ENABLE}
    restart: "no"
